[SciPy-user] audiolab Problem

Georg Holzmann grh@mur...
Thu Feb 5 10:13:53 CST 2009


Hallo!

>     Audiolab requires numpy 1.2 or above. I think we should push numpy
> 1.2 to Ubuntu 9.04 while there is still time - 1.2 was a significant
> release.

OK, I see.
However, it would be nice to have the old working audiolab code 
somewhere, which can be used on recent systems ...

> 
>> When I want to import the module I get the following error:
>>      import scikits.audiolab
>>    File "/usr/lib/python2.5/site-packages/scikits/audiolab/__init__.py", 
>> line 37, in <module>
>>      from numpy.testing import Tester
>> ImportError: cannot import name Tester
>>   
> 
> This has nothing to do with the problem, but may I suggest not to
> install anything from sources into /usr/ ?

Hm ... I didn't notice that ... (was not my intention)
I just typed 'python setup.py install'.

>> Do you have a clue whats the problem ?
>> In my numpy version the test cases have a different name ...
>> Or do I need to run these tests on latest Ubuntu - is the integer bug 
>> still a problem ?
>>   
> 
> Not on recent Ubuntu releases, no.

OK - thanks for your feedback !

LG
Georg


More information about the SciPy-user mailing list